
using System;

namespace Server.Items
{
[Furniture]
	[Flipable(0x2D0B,0x2D0C)]
	public class ElvenWashBasin : BaseFurniture
	{
		[Constructable]
		public ElvenWashBasin() : base(0x2D0B)
		{
			Weight = 0.0;
		}

		public ElvenWashBasin(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();

			if ( Weight == 4.0 )
				Weight = 1.0;
		}
	}
}

